CalryOTA Docs
Tenant

Create a new tenant (only allowed for default tenant)

Creates a new tenant. Note: Default tenants cannot be created through this API and are only automatically created with workspaces.

POST
/api/v1/tenants

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Header Parameters

x-calry-tenant-id?string

Optional tenant ID to specify which tenant to operate as. If not provided, the default tenant will be used.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/tenants" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "domain": "string",    "isDefault": true  }'
{
  "id": "string",
  "domain": "string",
  "name": "string",
  "workspaceID": "string",
  "isDefault": true,
  "status": "ACTIVE",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
Empty
Empty